
/*
 * Objective-C version of Squeak Morphic. Copyright (c) 1999 David Stes.
 *
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Library General Public License as published 
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: TransformationMorph.h,v 1.2 1999/05/25 20:45:57 stes Exp $
 */

#ifndef __TRANSFORMATIONMORPH_H__

#include <TransformMorph.h>

@interface TransformationMorph : TransformMorph
{
}

/* initialization */

- asFlexOf:aMorph;
- flexing:aMorph byTransformation:tfm;

/* accessing */

- extent:anExtent;
- forwardDirection;
- (BOOL)hasNoScaleOrRotation;
- innocuousName;
- (BOOL)isFlexMorph;
- (BOOL)isRenderer;
- printOn:(IOD)iod;
- referencePosition;
- referencePosition:aPoint;
- rotationDegrees;
- rotationDegrees:degrees;
- scaleToFit:anExtent;

/* drawing */

- drawOn:aCanvas;

/* change reporting */

- layoutChanged;

/* menu */

- removeFlexShell;

/* private */

- adjustAfter:changeBlock;
- chooseSmoothing;

@end
 
#define __TRANSFORMATIONMORPH_H__
#endif

